[arch-commits] Commit in python-tomlkit/repos (3 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 9 15:29:38 UTC 2020


    Date: Monday, November 9, 2020 @ 15:29:38
  Author: foutrelis
Revision: 746972

archrelease: copy trunk to community-staging-any

Added:
  python-tomlkit/repos/community-staging-any/
  python-tomlkit/repos/community-staging-any/PKGBUILD
    (from rev 746971, python-tomlkit/trunk/PKGBUILD)
  python-tomlkit/repos/community-staging-any/setup.py
    (from rev 746971, python-tomlkit/trunk/setup.py)

----------+
 PKGBUILD |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 setup.py |   39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

Copied: python-tomlkit/repos/community-staging-any/PKGBUILD (from rev 746971, python-tomlkit/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 15:29:38 UTC (rev 746972)
@@ -0,0 +1,47 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Eli Schwartz <eschwartz at archlinux.org>
+
+_pkgname=tomlkit
+pkgname=python-tomlkit
+pkgver=0.7.0
+pkgrel=2
+pkgdesc="Style-preserving TOML library for Python"
+url="https://github.com/sdispater/tomlkit"
+license=('MIT')
+arch=('any')
+depends=('python')
+makedepends=('python-dephell')
+checkdepends=('python-pytest' 'python-yaml')
+source=("https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-${pkgver}.tar.gz"
+        setup.py)
+sha512sums=('1483dbc3a8cf87257d592b5af97a66449133337b5a6f709d997054861615527510338fa27f048b27a69611782bd35a126c750eee465301d92e83cd2a8e45c5a5'
+            'd427467008174606804715b3f07c53d41132bb198298b2a09bf44c56ddf9bccdfc4354ae2c50ab906367460a5c29ab682519bbe568010dca59017647e1b6efb6')
+
+prepare() {
+  cd tomlkit-$pkgver
+
+  # poetry-generated setup.py is badly broken in several ways, including
+  # distribution of tests in the built package as well as using distutils for
+  # bad metadata. See https://github.com/sdispater/poetry/issues/866
+  #dephell deps convert --from pyproject.toml --to setup.py
+
+  # Bootstrapping for Python 3.9
+  cp ../setup.py .
+}
+
+build() {
+  cd tomlkit-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd tomlkit-$pkgver
+  python -m pytest
+}
+
+package() {
+  cd tomlkit-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+}

Copied: python-tomlkit/repos/community-staging-any/setup.py (from rev 746971, python-tomlkit/trunk/setup.py)
===================================================================
--- community-staging-any/setup.py	                        (rev 0)
+++ community-staging-any/setup.py	2020-11-09 15:29:38 UTC (rev 746972)
@@ -0,0 +1,39 @@
+
+# -*- coding: utf-8 -*-
+
+# DO NOT EDIT THIS FILE!
+# This file has been autogenerated by dephell <3
+# https://github.com/dephell/dephell
+
+try:
+    from setuptools import setup
+except ImportError:
+    from distutils.core import setup
+
+
+import os.path
+
+readme = ''
+here = os.path.abspath(os.path.dirname(__file__))
+readme_path = os.path.join(here, 'README.rst')
+if os.path.exists(readme_path):
+    with open(readme_path, 'rb') as stream:
+        readme = stream.read().decode('utf8')
+
+
+setup(
+    long_description=readme,
+    name='tomlkit',
+    version='0.7.0',
+    description='Style preserving TOML library',
+    python_requires='!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*,<4.0,>=2.7',
+    project_urls={"homepage": "https://github.com/sdispater/tomlkit", "repository": "https://github.com/sdispater/tomlkit"},
+    author='Sébastien Eustace',
+    author_email='sebastien at eustace.io',
+    license='MIT',
+    packages=['tomlkit'],
+    package_dir={"": "."},
+    package_data={},
+    install_requires=['enum34==1.*,>=1.1.0; python_version == "2.7.*" and python_version >= "2.7.0"', 'functools32==3.*,>=3.2.3; python_version == "2.7.*" and python_version >= "2.7.0"', 'typing==3.*,>=3.6.0; python_version == "2.7.*" and python_version >= "2.7.0" or python_version == "3.4.*" and python_version >= "3.4.0"'],
+    extras_require={"dev": ["black==19.*,>=19.3.0.b0", "codecov==2.*,>=2.0.0", "isort==5.*,>=5.2.0; python_version == \"3.*\" and python_version >= \"3.6.0\"", "pre-commit==1.*,>=1.10.0", "pytest==4.*,>=4.6.0", "pytest-cov==2.*,>=2.5.0", "pyyaml==5.3.*,>=5.3.1", "tox==3.*,>=3.1.0"]},
+)


More information about the arch-commits mailing list